Feisty boot fail "can't access tty" IDE SATA problem

Bug #106864 reported by jerrylamos on 2007-04-15
74
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Baltix)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
High
Unassigned
linux-source-2.6.22 (Ubuntu)
High
Unassigned

Bug Description

Feisty 20070415 CD Live "can't access tty" will not boot.

Dapper's running great on same system, 1280x960 LCD, Intel 82845G graphics so I didn't understand the "tty" failure.

Tried booting a bunch of times chasing around mulititude of boot options and got dozens of screenfulls of errors. Most significant:
"...device sda Write cache enabled Read cache enabled doesn't support DPO or FUA." No idea what that means.
More tweaking on boot commands see lots of "sector errors". Looks bad.
Finally saw a "fsck failed, see /var/log/checkfs" buried in the middle of the messages that roar up the screen. When the messages stop there's not much running so I can't look at or save anything with anything I tried.

The hard drive is an IDE, WDC AC143006. I disconnected it and Feisty booted right up, no hard drive installed on the computer. If I'm running CD Live, it would be nice to get an "fsck fail" message and boot on up so I could look at it. Evidently Feisty CD Live won't run if it has errors with the hard drive, which obviously it doesn't even need since it will run without it.

Whatever code Feisty is using to support this IDE drive doesn't work. I plugged the hard drive back in and Dapper booted right up beautifully, and Feisty boot still fails. Any chance of a package to put hard drive IDE code into Feisty instead of SATA? Otherwise this system's staying with Dapper. (Runs great, by the way!).

The error message is misleading: from the "can't access tty" I was chasing screen drivers and graphics modes. If the error had been reported as "fsck error" in the first place it would be more to the point.

So there are three Feisty CD Live bugs here:
1. Feisty won't boot with a hard drive that runs fine on Dapper.
2. Feisty error message is misleading pointing to tty instead of hard drive.
3. Feisty boot failed on hardware it didn't need to run.

Cheers, Jerry

stniyi (stniyi) wrote :

Hello there, thank you for reporting this bug. However it seems to be a duplicate of bug #78380

Colin Watson (cjwatson) wrote :

I've removed the duplicate marker as the message you appear to be using as justification for the duplication is in fact a harmless side-effect of whatever the real problem is. Please do not duplicate bugs with this symptom.

Colin Watson (cjwatson) wrote :

We need information from before the final "can't access tty" message, which is just a harmless side-effect. Is it possible to boot without the "quiet" and "splash" boot options (use F6 at the CD boot menu to edit the kernel command line and remove those) and take a photograph of the screen with the exact detailed output?

Arjan Kon (arj-nkon) wrote :

I think i have the same problem. After booting:

BusyBox etc.
etc.
(initramfs)

and after +-15 seconds this appear:

(initramfs)[92.774110] ata1: port failed to respond (30 secs, Status 0xd0)
[95332400] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[95332450] ata2.00: (FMDMA stat 0x25)
[95332497] ata2.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0x12 d
ata 254 in
[97.826402] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[97.826451] ata2.00: (FMDMA stat 0x25)
[97.826498] ata2.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0x12 d
ata 254 in

p3 1ghz 815 or 815e chipset

Arjan Kon (arj-nkon) wrote :
Arjan Kon (arj-nkon) wrote :
Arjan Kon (arj-nkon) wrote :
Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
Colin Watson (cjwatson) wrote :

Also, if you are suffering from this, could you post 'lspci -vvnn' output from a live CD if possible?

Note that similar symptoms may occur with several different classes of hardware, and so it may be better to file a new bug than to assume that your bug is the same as this one.

jerrylamos (jerrylamos) wrote :

Attached is final screen from "can't acess tty". There are other screens preceding which I might be able to get if useful. I've tried 20070215 Ubuntu, Kubuntu, Xubuntu which as I might expect fail similarly, however some of the error screens may be a little different. And yes, I verified that the Dapper installed still runs just fine from the hard drive, and that all three 20070215's boot up fine when the hard drive is disconnected.

Cheers, Jerry

Arjan Kon (arj-nkon) wrote :

So I should open a new bug report? It seems a different error to me...

jerrylamos (jerrylamos) wrote :

Put in an extra cable to put the IDE hard drive on IDE2, while the CDROM is on IDE1. Ubuntu booted right up, no "can't access tty" errors.

Attached is syslog from the successful boot with CDROM on IDE1 & HD on IDE2.

Next option might be to try a different hard drive on IDE1 with the CDROM.....

Cheers, Jerry

jerrylamos (jerrylamos) wrote :

2nd hard drive has never been used and didn't help. It will need partitioning, formatting, etc. "Real Soon Now".

Verified Ubuntu Feisty 20070415 gets "can't access tty" with HD and CDROM on IDE1. With HD moved to IDE2 Ubuntu boots fine.

Any ideas?

Cheers, Jerry

Ben Collins (ben-collins) wrote :

The quick workaround for this on an installed system is to add "piix" to /etc/initramfs-tools/modules, and run "sudo update-initramfs -u"

For installing a system, add break-top to the kernel cmdline via the bootgfx menu. Once at a busybox prompt, run "modprobe piix". Then "exit" the shell. Once the system is installed, the above work around will also be needed.

We are working on an update to fix this.

Ben Collins (ben-collins) wrote :

Marking "Later" as there is no Feisty:updates milestone yet,

Changed in linux-source-2.6.20:
importance: Undecided → High
status: Needs Info → Confirmed
Ben Collins (ben-collins) wrote :

In my comment above, break-top should be break=top.

Mathieu Marquer (slasher-fun) wrote :

Same problem for me for a while now, I try the workaround and I'll make a feedback. See also https://bugs.launchpad.net/bugs/104581

Medya (medya) wrote :

I have the same problem ,
I re-burnt the CD with lowest speed possibe (8x) and i still get the same error.
and I DID check the CD's integrity and it said the CD has NO errors .

I have a DVD-ROM and CD-RW , and two IDE hard disks (one 160 GB and one 40GB)
I did something , I un-pluged the CD-RW and left the DVD-ROM alone , and the error changed completely
this time I didnt get those erros but I saw Ubuntu Logo and Progress Bar but it went forever and I didnt go forward ...

I hitted CTR+ALT+F1 and it showed me this repeating "error running install command binfmt_0000"

take a look at this too:
http://ubuntuforums.org/showthread.php?p=2491669#post2491669

Medya (medya) wrote :

I should also say,

the other time I un-plugged the DVD-ROM and left the CD-RW alone,
but this time the error didnt change and I still got "can't access tty" error

I should mention , my DVD-ROM is an old Asus 16X and it is Master
and my CD-RW is Samsung and it is Slave.

Medya (medya) wrote :

oh sorry , I like to also add something else ,

since After Dapper, I cant read Video CDs in ubuntu with any player (I can play EVERYTHING except Video CDs) , another guy also had this problem...
you can read about it here http://ubuntuforums.org/showthread.php?t=380953

that problem is so so Similar to this one , I think since "after dapper" there is something wrong with reading CDs in ubuntu.
I hope this infromation can help to solve this bug.

Alex van Niel (alexvanniel) wrote :

The work around presented by Ben Collins worked for the feisty install on my girlfriends system. Just wanted to let you know.

Alex van Niel (alexvanniel) wrote :

By the way, there was nothing wrong with the way the CD was read on my girlfriends computer. The alternate worked fine, although I did get these ata2. errors but after waiting for a while I could install Feisty. After installation applying the work around made the terrible delay and the errors go away.

Medya (medya) wrote :

I really didnt get what Ben Collins said ...
can somebody tell me what to do to install ubuntu ?

Mathieu Marquer (slasher-fun) wrote :

As I said I tried the workaround that Ben told us to try, and here is the result 2 days later :
First errors :
[17179579.256000] hda: dma_intr: status=0x51 { DriveReady SeekComplete Error }
[17179579.256000] hda: dma_intr: error=0x84 { DriveStatusError BadCRC }

Then I had to reboot the computer. GRUB showed an error 24, so I made an fsck on the "/" partition, and now it only lasts on it a "lost+found" directory that is totally empty... It only lasts me to reinstall Ubuntu now...

Medya (medya) wrote :

Hey Guys Update !
as I said I have two hard disk and a DVD-ROM and a CD-RW
I un-pluged the CD-RW and the windows Hard Disk .

and I installed the ubuntu fiesty sucessfully, but the problem is , now when I plug the CD-RW or windows Hard Disk (which all my important files are there) i get the same error which I used to get in Live CD .

it is a very serious issue ubuntu guys must solve it !

Samy Marcelo (samymarcelo) wrote :

I got the same "can't acess tty" error, with Feisty Beta and Kubuntu, with this output:

[81.450108] ata2.00: port failed to respond (30 seconds, Status 0xd0)
[83.260473] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[83.260520] ata2.00: (BDMA stat 0x65)
[83.260564] ata2.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0x12 d
ata 254 in
[83.752693] ata2.00: revalidation failed (errno=-5)
[118.720776] ata2.00: port failed to respond (30 seconds, Status 0xd0)

lspci output is attached

And I agree, this is a serious issue!

Tiemen Gysels (tiemelijn) wrote :

After an upgrade to Feisty, system takes forever to boot.

There were some 'ata2.01: failed to set xfermode (err_mask=0x4)' errors, so i applied Ben Collins solution and everything went smooth.

Medya (medya) wrote :

 Tiemen Gysels can you tell me , what did u exactly? I didnt get what colin said...

Alex van Niel (alexvanniel) wrote :

A bit further back you can read his work around. In any case here is the comment with the work around: https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106864/comments/13

Peter T Hayward (energonic) wrote :

I have followed Ben's advice, using modprobe piix, and got Feisty installed on my parallels guest (in a mac mini). After rebooting to the installed system (again using modprobe piix) I put piix into the initramfs modules file and ran the update. On the next reboot I am still prompted by busybox and still have to do modprobe piix to boot. The entry is in the modules file so I suspect initramfs is not using the modules file at the point it prompts.
This problem needs an urgent fix since it seems to affect quite a number of different systems.
On the face of it the kernel was built with piix as a module, rather than built-in.

Daniel Sandman (almehdi) wrote :

I did another workaround and got everything working.
No slow boot with "waiting for root file system and no "can't access tty" error.

I went in to Bios changed the IDE Configuration settings from AHCI to Standard IDE.

Medya (medya) wrote :
Telefo (buonprezzo) wrote :

I had the same problem and I followed Ben's advice and now all works!

Id2ndR (id2ndr) wrote :

I have the same problem too, but I wasn't able to boot with Ben's advice because if I use break=top, I can't write anything on busybox. This should be the case because I use an USB keyboard that is normaly detected after tty access error.

 Hi, any chance you could borrow a keyboard with another type of connection just to get the problem fix put on?

 Cheers, Jerry

 -----Original Message-----
 From: <email address hidden>
 To: <email address hidden>
 Sent: Sat, 28 Apr 2007 4:33 PM
 Subject: [Bug 106864] Re: Feisty boot fail "can't access tty" IDE SATA problem

  I have the same problem too, but I wasn't able to boot with Ben's advice
because if I use break=top, I can't write anything on busybox. This
should be the case because I use an USB keyboard that is normaly
detected after tty access error.

--
Feisty boot fail "can't access tty" IDE SATA problem
https://bugs.launchpad.net/bugs/106864
You received this bug notification because you are a direct subscriber
of the bug.

________________________________________________________________________
Check Out the new free AIM(R) Mail -- 2 GB of storage and industry-leading spam and email virus protection.

Alex van Niel (alexvanniel) wrote :

USB keyboards can be enabled during boot up .. just enable USB Legacy support in your BIOS

Id2ndR (id2ndr) wrote :

jerrylamos, you shouldn't have use you mail client because now our addresses are on the internet and can be catch automatically.

Otherwise, I don't think the problem is fix if I had to load a module manually, whereas it works with older version.
Kernel team have to fix it : that should load piix manually if needed.

Azalin, I only have usb keyboard here (supported by my bios, but not loaded before the break of the kernel). But I don't need to run Ubuntu on this computer, I have an other one.

Ralf (ralf-weyer) wrote :

Any news on this? It's been almost 3 weeks ago since feisty got released and the problem still exists! There are no newer install cd's, and the recommandation from Ben (piix) did not work for me. My pc has no SATA-devices (not even a SATA-controller), and I'm not able to install and work with feisty without this error.

Very strange but the update from edgy worked, only new installation will not. So I have Feisty running on my computer, but I can not recommand it to friends - most of them newbees - who are asking me over and over again if they can try to install it now, since I'm almost sure they will run into problems and turn away from Linux at all.

Regards,

rpw

Eduardo Silva (jobezone) wrote :

Could this be the source of the problem?
"The linux-image-2.6.20-15-generic package doesn't install a upgraded initrd.img"
http://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/114541

Eduardo Silva (jobezone) wrote :

Please disregard my comment, just learned how inird.img is generated during installation and is not part of any ubuntu package. Also closed my bug.

The workaround mentioned in this thread (break=top + modprobe piix) fixed the xfermode error problems described in bug #96826 for me on a Dell OptiPlex GX100 system. The two problems seems to be connected.

vicarious1 (vstapelb-sa) wrote :

Hello I just tried this I am 100% NOVICE to UBUNTU
I followe the advise as sent to me by my friend
it worked fine with a BUT:
It installed UBUNTU I chose the automatic disc division etc.
than after installation
when I restarted UBUNTU as needed i
encountered the same error BUT was unable to re insert the promts
and no matter when I clicked on F6 it went straight to the same error
disappointed I types EXIT instead of holding the power button for 5 seconds
and OH MIRACLE .... UBUNTU booted up fully and even downloaded 18 updates
( I have made screen pics of it all as good as possible)
when I reboot the 2nd time I got the same mistake again
BUT again when I typed " exit"
the UBUNTU did boot up ( I did film it with my digital camera)

Who can tell me WHEN exactly to type in the F6?
and
1. Add piix to /etc/initramfs-tools/modules.
and IS THIS CORRECT ?

 piix/etc/initramfs-tools/modules.
Thanks

Try this

Bug 106864 covers this. Here's a summary of the solution:

To Install Feisty:

   1. From the main live CD menu press the F6 (? I don't really remember which F key it is) key to customize the boot command. Add the option break=top to it and boot up your PC.
   2. When you get to the dreaded (initramfs) prompt, type modprobe piix, and press enter.
   3. Type exit to resume the normal live CD boot.

The install process should go smoothly from here on. However, when you reboot your PC your are likely to run into the same problem. So do as above to be able to boot your PC into your brand new installation. The permanent fix is the following:

   1. Add piix to /etc/initramfs-tools/modules.
   2. Run the command sudo update-initramfs -u .

If everything goes well, you won't see this problem ever again. I hope this helps.

Recalcitrante (ignaciovicario) wrote :

I have the same problem. Here is the ouput of lspci:
00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
00:03.0 CardBus bridge: Texas Instruments PCI1225 (rev 01)
00:03.1 CardBus bridge: Texas Instruments PCI1225 (rev 01)
00:07.0 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 03)
00:08.0 Multimedia audio controller: ESS Technology ES1978 Maestro 2E (rev 10)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility P/M AGP 2x (rev 64)
06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

The hard disk is a Seagate ST9120821A

Adding piix in /etc/initramfs-tools/modules allowed to advance more in the startup but the kernel was not able to finish the startup. I've added this in /etc/initramfs-tools/modules:
piix
i2c_piix4
i2c_core
Now the problem is solved in my system.

Bram Kuijper (terabyte) wrote :

ehm? shouldn't this be break=top?

I assume you're talking about the graphical boot menu when you mean bootgfx? Also the busybox menu, that is just the shell showing up after the PC says "/bin/sh/:can't access tty job control turned off", with the shell identifier (initramfs)?

Nick Meyne (nick-meyne) wrote :

Thanks so far, but unfortunately the workaround fails when I get the (initramfs) prompt when booting from the new Feisty installation on the hard disk: I type modprobe piix, and press enter, then when I type exit to resume the boot I get the error 'can't access tty' again. Unable to exit busybox and progress to the permanent fix.

Any ideas?

Nick

Alex van Niel (alexvanniel) wrote :

I had the same problem, downloaded the alternate CD and installed it with that. Afterwards when Ubuntu started, I got ATA errors but waiting a long period of time paid off since it did continue with booting. Then I added the piix module in /etc/modules, I restarted and the problems were gone. Maybe an idea?

Nick Meyne (nick-meyne) wrote :

Thanks, but it really did seem the boot had stopped altogether at the busybox prompt. I think I'll go back to Edgy until this one is fixed properly. Nick

I have a system that generally runs Linux/Ubuntu fine, but the 7.04 live CD fails, just as described here. I tried the 'modprobe piix' fix, but this didn't work for me.

The system has a SCSI as well as IDE interface, but there are no SCSI drives attached. It has 2 IDE hard drives and an IDE CD-ROM. I tried disconnecting one of the hard drives, but this didn't really help either. Oddly, though, somewhere in the midst of trying the various combinations, I did see the machine boot. Didn't work a second time, though, which means either the problem is intermittent, or I misremembered the config.

Anyway, is there any progress on figuring out why this is failing? I could try tracking this down, but I don't have much idea what I'm looking for.

...
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
05:0c.0 SCSI storage controller: Adaptec AIC-7902 U320 (rev 03)
05:0c.1 SCSI storage controller: Adaptec AIC-7902 U320 (rev 03)

Nick Meyne (nick-meyne) wrote :

I have only one IDE hard drive and one CDRW drive. No SATA, No SCSI. I swapped them on IDE controllers 0 and 1 but it made no difference - and modprobe piix had no effect either way. I reverted to Edgy and all is fine now.

Hello

Have not managed to FIX the problem
but typing " exit "
make my machine boot each time
I have one floppy one CD rom and one 40GB HDD on a Pent III
I am not a specialist in UBUNTU 99% new to it ..

Thanks for your reply

----- Original Message ----
From: Mike Coleman <email address hidden>
To: <email address hidden>
Sent: Tuesday, May 22, 2007 10:11:34 PM
Subject: [Bug 106864] Re: Feisty boot fail..., but piix fix doesn't work for me

I have a system that generally runs Linux/Ubuntu fine, but the 7.04 live
CD fails, just as described here. I tried the 'modprobe piix' fix, but
this didn't work for me.

The system has a SCSI as well as IDE interface, but there are no SCSI
drives attached. It has 2 IDE hard drives and an IDE CD-ROM. I tried
disconnecting one of the hard drives, but this didn't really help
either. Oddly, though, somewhere in the midst of trying the various
combinations, I did see the machine boot. Didn't work a second time,
though, which means either the problem is intermittent, or I
misremembered the config.

Anyway, is there any progress on figuring out why this is failing? I
could try tracking this down, but I don't have much idea what I'm
looking for.

...
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
05:0c.0 SCSI storage controller: Adaptec AIC-7902 U320 (rev 03)
05:0c.1 SCSI storage controller: Adaptec AIC-7902 U320 (rev 03)

--
Feisty boot fail "can't access tty" IDE SATA problem
https://bugs.launchpad.net/bugs/106864
You received this bug notification because you are a direct subscriber
of the bug.

      ____________________________________________________________________________________
Park yourself in front of a world of choices in alternative vehicles. Visit the Yahoo! Auto Green Center.
http://autos.yahoo.com/green_center/

Have not managed to FIX the problem

but typing " exit "

make my machine boot each time

I have one floppy one CD rom and one 40GB HDD on a Pent III

I am not a specialist in UBUNTU 99% new to it ..

----- Original Message ----
From: Nick Meyne <email address hidden>
To: <email address hidden>
Sent: Tuesday, May 22, 2007 10:40:28 PM
Subject: [Bug 106864] Re: Feisty boot fail "can't access tty" IDE SATA problem

I have only one IDE hard drive and one CDRW drive. No SATA, No SCSI. I
swapped them on IDE controllers 0 and 1 but it made no difference - and
modprobe piix had no effect either way. I reverted to Edgy and all is
fine now.

--
Feisty boot fail "can't access tty" IDE SATA problem
https://bugs.launchpad.net/bugs/106864
You received this bug notification because you are a direct subscriber
of the bug.

____________________________________________________________________________________Be a better Globetrotter. Get better travel answers from someone who knows. Yahoo! Answers - Check it out.
http://answers.yahoo.com/dir/?link=list&sid=396545469

jerrylamos (jerrylamos) wrote :

Let's see if we can get a little more information. When you type "exit" you are likely at a command line? If so, what do the last few lines on the screen say?

As far as configurations, the one that worked for me is to plug the CD drive into IDE1 and the hard drives into IDE2. My best guess that changed the timing of the complex SCSI simulation code slightly so that it would boot O.K.

A screen or so before the "can't access tty" had an "fsck" failure, namely the fsck (file system check) code was trying to verify a device that hadn't made it through the SCSI simulation code yet.

There are a couple notes from other people on this problem in my post "Workarounds" on "Installation & Upgrades". Cheers, Jerry

Mike Coleman (tutufan) wrote :

I get the first prompt because of "break=top", do a "modprobe piix" which causes a short barrage of IDE-related messages that look correct to me, then an "exit". At that point there are several more pages of messages, and then a new prompt. (Actually some messages appear after the prompt--I'm assuming that those were cached by syslog/whatever.)

The last non-log message is something like "Begin mount root file system". The log messages seem consistent with modprobe'ing to make a root device available. In this case, though, I don't see why it'd be doing that, since the root filesystem is on the cdrom and obviously already available. The final messages are from the IDE code, and a USB message about my mouse. None of this looks even remotely like an error message to me.

The only thing that sticks out in my mind is that this system already has Linux on it, and has two disks with RAID partitions on them. I suppose maybe the boot code could be tripping over that, though I don't see why it'd care what was on the disks at all at boot time.

Since there is no error message at all, this leaves me feeling that maybe there is a logic error in the Ubuntu boot scripts (triggered by something about my system that is a little unusual).

jerrylamos (jerrylamos) wrote :

Ubuntu new with Feisty is trying to do more things in parallel to speed up boot time. One result I think I see (I'm not a developer) is that messages are appearing from different functions interspersed on the screen. There is some attempt to unravel these in /var/log/syslog and other logs in /var/log but I don't know enough of the process. The last few lines may be sensible but there could be some parallel function that has hung up.

For whatever reason, both CD Live and Ubuntu installed do look at the other drives in the system during boot. This is handy for me since I copy things back and forth from the different Linux's, or even Windoze. A net effect I hit was a file system check failure on a drive that I had removed from the system a while ago; pointers to it were still in /boot/grub/menu.lst and /etc/fstab.

From another post in bug 106864: "
Adding piix in /etc/initramfs-tools/modules allowed to advance more in the startup but the kernel was not able to finish the startup. I've added this in /etc/initramfs-tools/modules:
piix
i2c_piix4
i2c_core
Now the problem is solved in my system."

vicarious1 (vstapelb-sa) wrote :

Hello Jerry.

Thank you for your reply
may I send you some screen shots?
I also made a movie with my digital cam
of the process I could upload it for you
on my site IF you have broadband it should
download fast. We here in South Africa have
quite a slow ADSL.
Thanks
Victor

----- Original Message ----
From: jerrylamos <email address hidden>
To: <email address hidden>
Sent: Wednesday, May 23, 2007 12:17:38 AM
Subject: [Bug 106864] Re: Feisty boot fail "can't access tty" IDE SATA problem

Let's see if we can get a little more information. When you type "exit"
you are likely at a command line? If so, what do the last few lines on
the screen say?

As far as configurations, the one that worked for me is to plug the CD
drive into IDE1 and the hard drives into IDE2. My best guess that
changed the timing of the complex SCSI simulation code slightly so that
it would boot O.K.

A screen or so before the "can't access tty" had an "fsck" failure,
namely the fsck (file system check) code was trying to verify a device
that hadn't made it through the SCSI simulation code yet.

There are a couple notes from other people on this problem in my post
"Workarounds" on "Installation & Upgrades". Cheers, Jerry

--
Feisty boot fail "can't access tty" IDE SATA problem
https://bugs.launchpad.net/bugs/106864
You received this bug notification because you are a direct subscriber
of the bug.

____________________________________________________________________________________Get the Yahoo! toolbar and be alerted to new email wherever you're surfing.
http://new.toolbar.yahoo.com/toolbar/features/mail/index.php

Mike Coleman (tutufan) wrote :

> Ubuntu new with Feisty is trying to do more things in parallel to speed up boot time.

If this parallel system is active at the point when the error occurs, this suggests another possible cause. Perhaps the startup dependencies are incomplete and there is a race or something. (This might explain the one intermittent success I saw.)

Does anyone know if there is any status information on the progress of this bug?

machs_fuel (machs-fuel) wrote :

I'm having the same problem and have been watching this thread. I've tryed a the piix solutions mentioned here to no avail. I'm going to try vicarious1's solution step by step tonight just in case..

I was looking at Recalcitrante's lspci an noticed that he's got much different hardware then I. He's is mostly intel stuff while mine is VIA. I'm thinking my problem may stem from the PCI IDE card that i use for my S/W raid array....?

The contents of my lspci from my working dapper install

0000:00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400/KT600 AGP] Host Bridge
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8235 PCI Bridge
0000:00:09.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)
0000:00:0a.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture (rev 11)
0000:00:0a.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)
0000:00:0d.0 RAID bus controller: Integrated Technology Express, Inc. IT/ITE8212 Dual channel ATA RAID controller (PCI version seems to be IT8212, embedded seems (rev 13)
0000:00:0f.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
0000:00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
0000:00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
0000:00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
0000:00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
0000:00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
0000:00:11.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
0000:00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
0000:01:00.0 VGA compatible controller: nVidia Corporation NV28 [GeForce4 Ti 4200 AGP 8x] (rev a1)

any idea about which modules i should load?

Recalcitrante (ignaciovicario) wrote :

Have a look at my post above. Of course, these modules will not work for you. Start Ubuntu with an older kernel, and see the output of lsmod, looking for something related to your VIA controler.

Mike Coleman (tutufan) wrote :

I tried booting with *both* hard drives disconnected, to test whether the (software) RAID filesystem present on them was causing my problems. The first time I tried it (no break=top, no "modprobe piix"), it booted up! Always skeptical, I tried it again, and it failed, just as before. I did try the piix thing, but to no avail.

So, from this I deduce:

1. It's not md0 (RAID) related, and in fact it's not related to disk contents at all.
2. It's intermittent. Either it's a race, or possibly its affected by previous boots of the machine (i.e., hardware state retained across warm boots). Pretty sure it's a race.
3. At least on my machine, the piix fix is not absolutely required for a successful boot, as I've seen it work without.

I *did* see some ATA error messages in the log, during the failed attempts. Something about bad status (0x7F). I suppose that that could just be a symptom of the disconnected hds, or perhaps a separate issue that the piix thing would fix.

Notably, there seems to be a pause of maybe 20 seconds or so while it seems to be looking for devices. I'm guessing that this is a period during which the SCSI controller is looking for devices, but I'm not sure that this is so.

vicarious1 (vstapelb-sa) wrote :

I have a FILM of the process of booting etc
I am unable to explain it as I am new to UBUNTU and Linux 99%.
But I can uplaod the movie to my site if you like.
it works 100% fine after I type the "exit"
it boots up every day no problem.
Victor

----- Original Message ----
From: Mike Coleman <email address hidden>
To: <email address hidden>
Sent: Wednesday, May 23, 2007 4:04:10 PM
Subject: [Bug 106864] Re: Feisty boot fail "can't access tty" IDE SATA problem

> Ubuntu new with Feisty is trying to do more things in parallel to
speed up boot time.

If this parallel system is active at the point when the error occurs,
this suggests another possible cause. Perhaps the startup dependencies
are incomplete and there is a race or something. (This might explain
the one intermittent success I saw.)

Does anyone know if there is any status information on the progress of
this bug?

--
Feisty boot fail "can't access tty" IDE SATA problem
https://bugs.launchpad.net/bugs/106864
You received this bug notification because you are a direct subscriber
of the bug.

____________________________________________________________________________________Ready for the edge of your seat?
Check out tonight's top picks on Yahoo! TV.
http://tv.yahoo.com/

vicarious1 (vstapelb-sa) wrote :

I have a FILM of the process of booting etc

I am unable to explain it as I am new to UBUNTU and Linux 99%.

But I can upload the movie to my site if you like.

it works 100% fine after I type the "exit"

it boots up every day no problem.

Victor

----- Original Message ----
From: machs_fuel <email address hidden>
To: <email address hidden>
Sent: Wednesday, May 23, 2007 7:00:27 PM
Subject: [Bug 106864] Re: Feisty boot fail "can't access tty" IDE SATA problem

I'm having the same problem and have been watching this thread. I've
tryed a the piix solutions mentioned here to no avail. I'm going to try
vicarious1's solution step by step tonight just in case..

I was looking at Recalcitrante's lspci an noticed that he's got much
different hardware then I. He's is mostly intel stuff while mine is
VIA. I'm thinking my problem may stem from the PCI IDE card that i use
for my S/W raid array....?

The contents of my lspci from my working dapper install

0000:00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400/KT600 AGP] Host Bridge
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8235 PCI Bridge
0000:00:09.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)
0000:00:0a.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture (rev 11)
0000:00:0a.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)
0000:00:0d.0 RAID bus controller: Integrated Technology Express, Inc. IT/ITE8212 Dual channel ATA RAID controller (PCI version seems to be IT8212, embedded seems (rev 13)
0000:00:0f.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
0000:00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
0000:00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
0000:00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
0000:00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
0000:00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
0000:00:11.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
0000:00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
0000:01:00.0 VGA compatible controller: nVidia Corporation NV28 [GeForce4 Ti 4200 AGP 8x] (rev a1)

any idea about which modules i should load?

--
Feisty boot fail "can't access tty" IDE SATA problem
https://bugs.launchpad.net/bugs/106864
You received this bug notification because you are a direct subscriber
of the bug.

____________________________________________________________________________________
Moody friends. Drama queens. Your life? Nope! - their life, your story. Play Sims Stories at Yahoo! Games.
http://sims.yahoo.com/

vicarious1 (vstapelb-sa) wrote :

I have a FILM of the process of booting etc

I am unable to explain it as I am new to UBUNTU and Linux 99%.

But I can upload the movie to my site if you like.

it works 100% fine after I type the "exit"

it boots up every day no problem.

All I know my friend asked me to disconnect a small 4GB SCSI HDD that we had in there
we used that PC before to run a PBX Asterisk phone server ( if I say that right)
I am only an end user.

Victor

----- Original Message ----
From: Mike Coleman <email address hidden>
To: <email address hidden>
Sent: Wednesday, May 23, 2007 10:18:30 PM
Subject: [Bug 106864] Re: Feisty boot fail "can't access tty" IDE SATA problem

I tried booting with *both* hard drives disconnected, to test whether
the (software) RAID filesystem present on them was causing my problems.
The first time I tried it (no break=top, no "modprobe piix"), it booted
up! Always skeptical, I tried it again, and it failed, just as before.
I did try the piix thing, but to no avail.

So, from this I deduce:

1. It's not md0 (RAID) related, and in fact it's not related to disk contents at all.
2. It's intermittent. Either it's a race, or possibly its affected by previous boots of the machine (i.e., hardware state retained across warm boots). Pretty sure it's a race.
3. At least on my machine, the piix fix is not absolutely required for a successful boot, as I've seen it work without.

I *did* see some ATA error messages in the log, during the failed
attempts. Something about bad status (0x7F). I suppose that that could
just be a symptom of the disconnected hds, or perhaps a separate issue
that the piix thing would fix.

Notably, there seems to be a pause of maybe 20 seconds or so while it
seems to be looking for devices. I'm guessing that this is a period
during which the SCSI controller is looking for devices, but I'm not
sure that this is so.

--
Feisty boot fail "can't access tty" IDE SATA problem
https://bugs.launchpad.net/bugs/106864
You received this bug notification because you are a direct subscriber
of the bug.

____________________________________________________________________________________Sick sense of humor? Visit Yahoo! TV's
Comedy with an Edge to see what's on, when.
http://tv.yahoo.com/collections/222

pablo.verges (pablo-soofa) wrote :

I had some trouble with my Feisty installation, 'cause it didn't boot the generic kernel. I have a Pentium D930, and I really didn't want to use just one core, so i downgraded to dapper.

Once I installed Dapper (on 100GB unpartitioned disk space) i wanted to upgrade to edgy. As far as i knew my edgy distribution worked fine before upgrading to feisty, so i did the upgrade. I tried booting my generic kernel, and it didn't, i dropped all the timo to busybox, like my feisty install.

then i found this bugreport

https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/67256

thanks to this, edgy booted.

i had the misterious feeling that the same command could help booting feisty... even if it wasn't the same error.
i tried doing the same on feisty:

    $ sudo update-initramfs -u -k 2.6.20-15-generic

and after rebooting everything worked fine!

try it out and report... maybe all this trouble isn't because of SATA problems but 'cause of initrd images!

-----

Hardware:
Pentium D930
Asus P5WD2-E Premium X975 Intel Chipset
1GB DDR2 800MHz Ram

David Lee Lambert (davidl) wrote :

I'm not sure if this is related; but I can't access the CD-ROM drive on an Ubuntu system after upgrading from Kubuntu/Breezy to Feisty. When I try to do "mount /cdrom", I get the error-message

  mount: /dev/hda is not a valid block device

The computer is a Dell system with an IDE CD-ROM and two SATA hard-drives, which work fine. Here's the relevant output from "lspci":

00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) Serial ATA Storage Controller IDE (rev 01)

I've tried "modprobe piix" to no avail; here's the "dmesg" output:

[3856014.295292] ide0: I/O resource 0x3F6-0x3F6 not free.
[3856014.295296] ide0: ports already in use, skipping probe
[3856014.295299] ide1: I/O resource 0x376-0x376 not free.
[3856014.295301] ide1: ports already in use, skipping probe

jerrylamos (jerrylamos) wrote :

Gutsy Gibbon CD Live 20070606 "can't access tty" same CD & Hard disk on IDE1 as originally reported error with Feisty at top of this post. Seems to make a lot of accesses to fd0 floppy which go zipping by the screen.
break=top stops just after "can't access tty", modprobe piix gets "module piix not found".
Edgy CD Live boots on same configuration just fine (except 1024x768 instead of 1280x1024).
Attached is screen picture when break=top stops.
Any way I can get more info?
BTW, same 20070606 ran CD Live on another computer (except "persistent" seems to be still broken as in Feisty), also installed fine after some fumbling with sudo gparted.
Cheers, Jerry

Sitsofe Wheeler (sitsofe) wrote :

David:
I suspect your problem is different to this. See Bug #116996 .

David Lee Lambert (davidl) wrote :

I guess I don't have this bug. The CD-ROM is still accessible; it's just "/dev/scd0" now.

quique1hn (quique1hn) wrote :

I had the same problen with Tribe 1, whith feisty a floppy disk take care the problem but no lucky in Gutsy

Alexander van Loon (avanloon) wrote :

Same here, I tried the Ubuntu 7.10 Tribe 1 i386 Live CD, and I got the same error. I also experienced that the floppy drive was busy, even though it didn't have a disk inserted. And I don't have SATA harddisks, if that is relevant to this problem.

I'd really like to be able to boot Tribe 1, so I tried to follow the workaround posted by Ben Collins - https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106864/comments/13 - but it didn't work.

As soon as I start up my PC and see the Live CD menu, I hit F6, type "break=top" (without the quotation marks of course), and I press "Enter". After a while I see this error message:

Loading, please wait...
Spawning shell within the initramfs

Busybox v1.1.3 (Debian 1:1.1.3-4ubuntu3) Built-in shell (ash)
Enter 'help' for a list of built-in commands.

/bin/sh: can't access tty; job control turned off
(initramfs) <the text input cursor flashes here>

However, if I try to type "modprobe piix", no text will appear, the flashing text input cursor doesn't do anything. The same happened when I tried the workaround with the Ubuntu 7.04 release i386 Live CD. Why doesn't it accept any text input? A solution which works would be appreciated, because I'd really like to install Tribe 1.

Mike Coleman (tutufan) wrote :

For what it's worth, I tried GG Tribe 1 just now, and I also am not able to boot.

Can anyone point to any ongoing discussion of progress on this bug? I've googled around a bit but I'm not seeing anything. I wonder if anyone is even working on it...

Id2ndR (id2ndr) wrote :

> Can anyone point to any ongoing discussion of progress on this bug?
> I've googled around a bit but I'm not seeing anything. I wonder if
> anyone is even working on it...
>
>
I wonder the same thing but in general for bugs on lauchpad.
The trouble is that developers don't use this (launchpad) so this seems
to be only a list of bugs :(

Maybe we can create a new bug for this trouble ? It may looks like this
one : https://bugs.launchpad.net/ubuntu/+bug/1
What do people think about that ?

Bananabob (bananabob) wrote :

Is https://bugs.launchpad.net/ubuntu/+bug/120285 a duplicate of this problem?

jerrylamos (jerrylamos) wrote :

My interpretation, "can't access tty" is a catchall message that something broke somewhere and Ubuntu isn't going to tell you what failed. Example Gutsy winds up with the same message on the same hardware, however the developer's fix break=top and modprobe piix don't work because it fails before the break occurs, and in any case doesn't have module piix.

The situation appears to be quite time dependent and although there are a bunch of us who would be quite willing to try fixes, there's no indication that Ubuntu development is looking into this situation.

For computers that "can't access tty" either use Edgy or PCLinuxOS or maybe you can come up with a trick way to boot.....

Cheers, Jerry

Jens Rantil (jens-rantil) wrote :

Hi, I am also experiencing this bug on a friends computer. I have tried the "break=top"-solution and also the piix-module solution - neither of these two worked. I should also state that I didn't see any activity in the floppy drive that was connected to the computer. Since it is my friends computer I can not give a more indepth description right now.

Knoppix boots up fine (kernel 2.6.19 I think).

I am thinking of trying to install Dapper and try upgrading through internet efterwards. Maybe something that could work. I've also seen someone fix the problem by swapping cables to the SATA harddrive(s) - it's not very scientific but it's worth a try.

jerrylamos (jerrylamos) wrote :

On one of the myriad forums on "can't access tty" someone said they were able to download and burn the alternate CD, and then install O.K. The alternate doesn't run as a live CD, it is just for doing install and is a lot more streamlined than the CD Live. If the Alternate is missing some packages they can be downloaded and installed from Synaptic or Add/Remove. This might be a lot cleaner than the upgrades which can have problems according to the forums.

I haven't tried it since I'm basically looking for bugs, and I do have another computer which runs Gutsy O.K. (with usual Alpha type problems and many Feisty problems which aren't fixed on Gutsy). Cheers, Jerry

JP (joaopr02) wrote :

The problem "can't access tty". also occurs in the version Gutsy Tribe 3.
 My the Hardware is: HD Sata Maxtor 80GB
Thanks.

Ronc55 (ronc55) wrote :

This bug also occurs with Linux Mint 2.20. Ihave an old IBM Thinkpad R30. I tried to install Linux Mint after many tries with all versions of Fiesty Fawn and then bailed out to Linux Mint. Received the same error message but I had removed the quiet splash and their installer suggested using "irqpoll". I put that at the end of the command line (f6) entry after removing the "quiet splash" and it installed. Went back to Ubuntu and did the same thing - added "irqpoll:" and it installed as well. I then went ahead with the full desktop installation. I once again received the standard tty error at reboot. I started in rescue mode and modified the /boot/grub/menu.lst to simply add irqpoll at the end of the command line and I have a running system. When I added the new kernal 2.6.20.16 from 2.6.20.15 I again had to modify the command line, but it continues to work. Hope this helps.

Adam (adam.russell) wrote :
Download full text (3.9 KiB)

Kubuntu Feisty Fawn
kernel 2.6.20-16-generic

I believe the problem is occuring with my SATA hard drive, which is a Samsung SP0812C. It stops responding quite often. It seems that most people that are having this problem are fixing it with 'piix', but I have a VIA chipset rather than an Intel one. I will attach some logs below. Relevant dmesg lines:

[ 2416.505383] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 2416.505394] ata1.00: cmd c8/00:90:e6:54:5b/00:00:00:00:00/e2 tag 0 cdb 0x0 data 73728 in
[ 2416.505396] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 2416.505414] ata1: soft resetting port
[ 2416.671775] ATA: abnormal status 0x7F on port 0x0001e007
[ 2416.682280] ATA: abnormal status 0x7F on port 0x0001e007
[ 2416.693332] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2416.705299] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2416.705303] ata1.00: configured for UDMA/100
[ 2416.705314] ata1: EH complete
[ 2416.727567] SCSI device sda: 156368016 512-byte hdwr sectors (80060 MB)
[ 2416.727651] sda: Write Protect is off
[ 2416.727653] sda: Mode Sense: 00 3a 00 00
[ 2416.741889] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 2446.704938] ata1.00: limiting speed to UDMA/33:PIO4
[ 2446.704945] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 2446.704953] ata1.00: cmd c8/00:88:e6:7d:5d/00:00:00:00:00/e1 tag 0 cdb 0x0 data 69632 in
[ 2446.704955] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 2453.697731] ata1: port is slow to respond, please be patient (Status 0xd0)
[ 2476.684824] ata1: port failed to respond (30 secs, Status 0xd0)
[ 2476.684831] ata1: soft resetting port
[ 2476.855210] ATA: abnormal status 0x7F on port 0x0001e007
[ 2476.865714] ATA: abnormal status 0x7F on port 0x0001e007
[ 2476.876786] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2476.888756] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2476.888760] ata1.00: configured for UDMA/33
[ 2476.888771] ata1: EH complete
[ 2476.909818] SCSI device sda: 156368016 512-byte hdwr sectors (80060 MB)
[ 2476.912474] sda: Write Protect is off
[ 2476.912478] sda: Mode Sense: 00 3a 00 00
[ 2476.916458] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 2507.060115] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 2507.060126] ata1.00: cmd c8/00:20:b6:2d:04/00:00:00:00:00/e2 tag 0 cdb 0x0 data 16384 in
[ 2507.060128] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 2514.052911] ata1: port is slow to respond, please be patient (Status 0xd0)
[ 2537.032018] ata1: port failed to respond (30 secs, Status 0xd0)
[ 2537.032025] ata1: soft resetting port
[ 2537.198411] ATA: abnormal status 0x7F on port 0x0001e007
[ 2537.208918] ATA: abnormal status 0x7F on port 0x0001e007
[ 2537.215986] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2537.223961] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2537.223964] ata1.00: configured for U...

Read more...

Adam (adam.russell) wrote :
Adam (adam.russell) wrote :
Adam (adam.russell) wrote :
Adam (adam.russell) wrote :
Adam (adam.russell) wrote :
jerrylamos (jerrylamos) wrote :

I can't test this bug any more since my computer with the problem died of an unrelated failure.

Cheers, Jerry Amos

Mike Coleman (tutufan) wrote :

Me neither. The computer I had was replaced. (It was still pretty
snappy, but that's the policy.)

(My new ICH8-based system doesn't seem to have the problem, at least
not with Tribe 5.)

On 8/31/07, jerrylamos <email address hidden> wrote:
> I can't test this bug any more since my computer with the problem died
> of an unrelated failure.
>
> Cheers, Jerry Amos
>
> --
> Feisty boot fail "can't access tty" IDE SATA problem
> https://bugs.launchpad.net/bugs/106864
> You received this bug notification because you are a direct subscriber
> of the bug.
>

description: updated
Henrik Nilsen Omma (henrik) wrote :

Leaving open as a High importance Gutsy tasks, but it's incomplete as no one has reported reproducing it on Gutsy yet.

Changed in linux-source-2.6.22:
importance: Undecided → High
status: New → Incomplete
Henrik Nilsen Omma (henrik) wrote :

Too late to fix this for Feisty.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Id2ndR (id2ndr) wrote :

I confirm this bug on Ubuntu Gutsy tribe 5.

It would be a share that lots of users can't use liveCd, as it was already the case with feisty.

Alexander van Loon (avanloon) wrote :

Henrik Nilsen Onma, in my comment, comment #69, (https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106864/comments/69) I already reported reproducing it on Gutsy/7.10 three months ago.

Id2ndR (id2ndr) wrote :

Undo of Henrik Nilsen Omma's change that was a mistake

Changed in linux-source-2.6.22:
status: Incomplete → Confirmed
Id2ndR (id2ndr) wrote :

Maybe the bug is now fixed. I can now access my IDE cdrom drive on current installed version of gutsy and up-to-date (see bug #134881), so I'll tried to download the latest daily cdimage and test it.

Id2ndR (id2ndr) wrote :

Ok, this bug is realy fixed for me on two computers :
- An old one using intel 815 chipset, and now using ata_piix linux driver with 82801AA IDE Controller
- A new one using intel G35 chipset using pata_marvel linux driver (bug #134881)

I tested it with ubuntu livecd daily 20070921.1 on both.

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team

I've run into this issue once again. Originally occured using a Feisty LiveCD, this time I'm using a final-release Gutsy LiveCD. System specs are same as before, and are as follows:

IBM eServer xSeries 232 (Type 8668-27X)
Dual P3 1.13GHz
1GB registered ECC-SDRAM
6 x 18.2GB IBM 10k u160 SCSI hard drives
1 x IDE DVD-ROM
nVidia Geforce FX 5200 PCI card (so as not to use the on-board ATI controller)

None of the fixes I've come across for this issue have worked, from simply inserting a floppy, to using 'break=top' with 'modprobe piix' then 'exit' (can't find the piix module anyway)... generic.all_generic_ide=1 on the CD boot line doesn't work, nor does any combination of acpi=off, noapic, irqpoll, etc, etc...

I was hoping this was taken care of in Gutsy, but it appears it hasn't been addressed. The last LiveCD that has booted and installed on this machine without issue was Edgy. I installed Edgy and then performed a dist-upgrade to Feisty. I'd like to perform a fresh install of Gutsy without going through the dist-upgrade nonsense. It shouldn't be necessary.

David Roberts (david.roberts) wrote :

This problem is partially fixed for me:
- on my 64bit partition (fresh install of gutsy), this problem doesn't affect me
- on my 32bit partition (fresh install of feisty, upgraded to gutsy), I no longer receive a "can't access tty" error, but the initramfs shell still appears (hitting ctrl+D resumes the normal boot process). I'm not sure whether this is just a remnant of feisty, or whether the problem only affects 32bit installs (at least on my machine - Acer Extensa 5220)

BobH (bobajot) wrote :

Running on a abit IP35 with PATA dvd drive and Samsung hd501lj SATA hard drive on SATA port 2 I need the workaround irqpoll for the live CD. I loaded a new 7.10 32bit install with the alternate cd which partitioned and populated ok but produces this issue on cold boot. Ctrl D allows the system to come up. Otherwise eventual busybox and initramfs shell EVERY time. The Ubuntu rescue stuff fails on can't find disk. I made no changes to the BIOS it is already set at IDE for SATA.

Are there any "knock on" effects from using Ctrl D?

BobH (bobajot) wrote :

Update
Since I have updated Ubuntu from its raw 7.10 status I am no longer able to get Ctrl D to work. Since Windows XP works and there is no point continuing with this exercise until somebody comes up with a fix. I cannot get a NVidia 8800gt to work either so was using a 7600 for this exercise. I already have Ubuntu 7.10 running on two other boxes one an AMD5200 on a K9 Neo which has a Maxtor 500g SATA drive and a PATA dvd. Why that box works (7600 Nvidia) and this doesn't is outside my skill level. The weird thing is that the AMD box needs no changes to anything including the live CD in order to function so what is unique on the IP35?

Toni Helenius (toni-helenius) wrote :

Ok, Edgy worked fine. And Feisty for a little while (but the LiveCD of Feisty didn't boot, but a upgraded Egdy -> Feisty worked until some update on Feisty). I was eventually successful booting Feisty's kernel with the suggested "break=top; modprobe piix; exit" as most of people here.

I updated Feisty -> Gutsy. A big mistake! Gutsy's kernel doesn't have the deprecated (?) module "piix". And its successor "ata_piix" or anything really, including the boot options, doesn't work. Fortunately Kubuntu's version upgrade has never worked for me on any computer, so I have a punch of old kernels intact. Gutsy runs ok with Feisty's kernel.

I tried Kubuntu Hardy's Alpha 2 LiveCD and it was a great success! It actually booted (and fast?!). But I'm not comfortable to upgrade this installed version to Alpha. But so it seems to be fixed in Hardy...

My hardware:
P4 2,4
Intel 845GEBV2 motherboard
Primary ATA: Samsung Spinpoint 5400rpm 80Gt
Secondary ATA: Nec 3xxx CD/DVD burner (I tried disabling this to fix the problem -> didn't work)

Toni, thanks for testing the Hardy Alpha release. I'm glad to hear things appear to be working with Hardy Alpha. Since jerry (the original reporter) no longer has the hardware to verify this is resolved and no one else has commented this still being an issue in Hardy I'm going to mark this "Fix Released" against Hardy. If anyone else tests Hardy and still experiences issues, care to please open a new bug report against the 'linux' package. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to then test using the LiveCD. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ . Thanks.

Changed in linux:
status: New → Fix Released
Changed in linux-source-2.6.20:
status: New → Invalid
Changed in linux-source-2.6.22:
status: Confirmed → Won't Fix
Vincent Ladeuil (vila) wrote :

I encountered the problem wit Feisty on a virtual machine.
Upgrading to Gutsy solved the problem (i.e. the modprode piix is not needed anymore).
Hope that helps someone :)

Guille (linuxcompiler) wrote :

I have this problem and "modprobe piix" didn't solve it.

The Fold (stuart-luscombe) wrote :

I have been getting this problem while trying to boot Hardy off a Wubi install process. I am using the 64-bit version.

I am currently running an Abit IB9 motherboard which has an IT8211 IDE controller as well as a SATA controller. Previously I've encountered this problem with Feisty and could not resolve it. With Feisty the boot would get so far then crash out to BusyBox but also hang the whole system. With Hardy it gets so far, displays the below output just before crashing out to BusyBox but it will still let me type, although it is very lagged.

I have tried disabling the IDE controller in the BIOS and I only have 1 SATA drive connected.

It's worth noting that I don't get this problem booting from a Knoppix LiveCD, although I'm sure it could be any number of things that are different. I will be trying to alternate cd later today as well as the latest daily build to see if I get any success.

[output just before BusyBox]

ata3.00: qc timeout (cmd 0x27)
ata3.00: failed to read native max address (err_mask=0x4)
ata3.00: revalidation failed (errno=-5)
ata3: failed to recover some devices, retrying in 5 secs
ata3.00: disabled
ata3: soft resetting link
ata3: EH complete
ata_piix 0000:00:1f.5: MAP [ P0 -- P1 -- ]
ACPI: PCI Interrupt 0000:00:1f.5[b] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1f.5 to 64
scsi4 : ata_piix
scsi5 : ata_piix
ata5: SATA max UDMA/133 cmd 0xf300 ctl 0xf200 bmdma 0xef00 irq 19
ata6: SATA max UDMA/133 cmd 0xf100 ctl 0xf000 bmdma 0xef08 irq 19
SGI XFS with ACLs, security attributes, realtime, large block/inode numbers, no debug enabled
SGI XFS Quota Management subsystem
JFS: nTxBlock = 8192, nTxLock = 65536

godspeed (billabong-crews) wrote :

RONC55 :: thanks mate for your tips, it did work for me after changing the boot options to "irqpoll"

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions